org.vishia.gral.base

## Class GralWidget.ActionChangeSelect

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ActionChangeSelect

- Enclosing class:
    GralWidget

      protected static class GralWidget.ActionChangeSelect
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralWidget_ifc.ActionChange` | `onAnyChangeContent`
    `(package private) GralWidget_ifc.ActionChange` | `onChangeAndFocusLost`
    `(package private) GralWidget_ifc.ActionChange` | `onCtrlEnter`
    `(package private) GralWidget_ifc.ActionChange` | `onDrag`
    `(package private) GralWidget_ifc.ActionChange` | `onDrop`
    `(package private) GralWidget_ifc.ActionChange` | `onEnter`
    `(package private) GralWidget_ifc.ActionChange` | `onFocusGained`
    `(package private) GralWidget_ifc.ActionChange` | `onMouse1Dn`
    `(package private) GralWidget_ifc.ActionChange` | `onMouse1Double`
    `(package private) GralWidget_ifc.ActionChange` | `onMouse1Up`
    `(package private) GralWidget_ifc.ActionChange` | `onMouse1UpOutside`
    `(package private) GralWidget_ifc.ActionChange` | `onMouse2Up`
    `(package private) GralWidget_ifc.ActionChange` | `onMouseWheel`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActionChangeSelect()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### onAnyChangeContent

          GralWidget_ifc.ActionChange onAnyChangeContent

    - #### onEnter

          GralWidget_ifc.ActionChange onEnter

    - #### onCtrlEnter

          GralWidget_ifc.ActionChange onCtrlEnter

    - #### onFocusGained

          GralWidget_ifc.ActionChange onFocusGained

    - #### onChangeAndFocusLost

          GralWidget_ifc.ActionChange onChangeAndFocusLost

    - #### onMouse1Dn

          GralWidget_ifc.ActionChange onMouse1Dn

    - #### onMouse1Up

          GralWidget_ifc.ActionChange onMouse1Up

    - #### onMouse1UpOutside

          GralWidget_ifc.ActionChange onMouse1UpOutside

    - #### onMouse2Up

          GralWidget_ifc.ActionChange onMouse2Up

    - #### onMouse1Double

          GralWidget_ifc.ActionChange onMouse1Double

    - #### onMouseWheel

          GralWidget_ifc.ActionChange onMouseWheel

    - #### onDrop

          GralWidget_ifc.ActionChange onDrop

    - #### onDrag

          GralWidget_ifc.ActionChange onDrag

  - ### Constructor Detail

    - #### ActionChangeSelect

          protected ActionChangeSelect()